com.google.gwt.aria.client

## Interface ListboxRole

- All Superinterfaces:
    CompositeRole, GroupRole, InputRole, ListRole, RegionRole, Role, SectionRole, SelectRole, StructureRole, WidgetRole
  All Known Implementing Classes:
    ListboxRoleImpl

      public interface ListboxRole
      extends ListRole, SelectRole

  A type that represents the listbox role in the ARIA specification.
  See Also:
    `Role`, `Roles`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAriaMultiselectableProperty(Element element)` Returns the value of the aria-multiselectable attribute for the `element` or "" if no such attribute is present.
    `java.lang.String` | `getAriaRequiredProperty(Element element)` Returns the value of the aria-required attribute for the `element` or "" if no such attribute is present.
    `void` | `removeAriaMultiselectableProperty(Element element)` Removes the aria-multiselectable attribute from the `element`.
    `void` | `removeAriaRequiredProperty(Element element)` Removes the aria-required attribute from the `element`.
    `void` | `setAriaMultiselectableProperty(Element element, boolean value)` Sets the aria-multiselectable attribute for the `element` to the given `value`.
    `void` | `setAriaRequiredProperty(Element element, boolean value)` Sets the aria-required attribute for the `element` to the given `value`.

    - ### Methods inherited from interface com.google.gwt.aria.client.CompositeRole

      `getAriaActivedescendantProperty, removeAriaActivedescendantProperty, setAriaActivedescendantProperty`

    - ### Methods inherited from interface com.google.gwt.aria.client.GroupRole

      `getAriaActivedescendantProperty, removeAriaActivedescendantProperty, setAriaActivedescendantProperty`

    - ### Methods inherited from interface com.google.gwt.aria.client.SectionRole

      `getAriaExpandedState, removeAriaExpandedState, setAriaExpandedState`

- - ### Method Detail

    - #### getAriaMultiselectableProperty

          java.lang.String getAriaMultiselectableProperty(Element element)

      Returns the value of the aria-multiselectable attribute for the `element` or "" if no such attribute is present.

    - #### getAriaRequiredProperty

          java.lang.String getAriaRequiredProperty(Element element)

      Returns the value of the aria-required attribute for the `element` or "" if no such attribute is present.

    - #### removeAriaMultiselectableProperty

          void removeAriaMultiselectableProperty(Element element)

      Removes the aria-multiselectable attribute from the `element`.

    - #### removeAriaRequiredProperty

          void removeAriaRequiredProperty(Element element)

      Removes the aria-required attribute from the `element`.

    - #### setAriaMultiselectableProperty

          void setAriaMultiselectableProperty(Element element,
                                              boolean value)

      Sets the aria-multiselectable attribute for the `element` to the given `value`.

    - #### setAriaRequiredProperty

          void setAriaRequiredProperty(Element element,
                                       boolean value)

      Sets the aria-required attribute for the `element` to the given `value`.